# class RDoc::NormalModule

A normal module, like NormalClass

### Public Instance Methods

definition() click to toggle source

The definition of this module, `module MyModuleName`

    # File lib/rdoc/normal_module.rb, line 16
    def definition
      "module #{full_name}"
    end

module?() click to toggle source

This is a module, returns true

    # File lib/rdoc/normal_module.rb, line 23
    def module?
      true
    end

superclass() click to toggle source

Modules don’t have one, raises NoMethodError

    # File lib/rdoc/normal_module.rb, line 59
    def superclass
      raise NoMethodError, "#{full_name} is a module"
    end